Name: joystick-support          
Version:        1.0.0
Release:        13%{?dist}
Summary:        Load joystick / game pad drivers at boot time
Group: System Environment/Kernel


License:        MIT
# The package is built just using this specfile.
#URL:            
#Source0:        

Requires:       kmod(joydev.ko)
Requires:       kmod(analog.ko)
Requires:       systemd

Requires(post): module-init-tools

BuildArch:      noarch

%description
By default the joystick and game pad drivers are not loaded at boot time. Nor
are they installed by default. Installing this package will load the main
joystick and game pad drivers as part of the install, will bring in
kernel-modules-extra if it is needed (which it currently is), and will set 
things so that they will be loaded during future boots.


%prep

%build

%install
# Note that the modules-load.d man page states that packages should install
# files in /usr/lib/modules-load.d and that /etc/modules-load.d is
# reserved for local administration.
mkdir -p $RPM_BUILD_ROOT%{_libdir}/../lib/modules-load.d
echo -e "joydev\nanalog" > $RPM_BUILD_ROOT%{_libdir}/../lib/modules-load.d/joystick.conf


%files
%{_libdir}/../lib/modules-load.d/joystick.conf

%post
/sbin/modprobe joydev
/sbin/modprobe analog

%changelog
* Thu Jun 12 2014 Peter Robinson <pbrobinson@fedoraproject.org> 1.0.0-13
- kernel-modules-extra was never dropped on ARM
- It's possible to use tradional game controllers on ARM via GPIO mods

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bruno Wolff III <bruno@wolff.to> 1.0.0-11
- Use new kernel module provides to get kernel-modules-extra

* Mon Jan 20 2014 Bruno Wolff III <bruno@wolff.to> 1.0.0-10
- Require installonlypkg(kernel-module) instead on kernel-modules-extra

* Wed Oct 09 2013 Bruno Wolff III <bruno@wolff.to> 1.0.0-9
- Back to excluding arm arch instead of trying to drop requires

* Tue Oct 08 2013 Bruno Wolff III <bruno@wolff.to> 1.0.0-8
- Use a macro for arm arches, plain arm doesn't work as expected

* Tue Oct 08 2013 Bruno Wolff III <bruno@wolff.to> 1.0.0-7
- Don't require kernel-modules-extra on arm

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Aug 29 2012 Bruno Wolff III <bruno@wolff.to> 1.0.0-4
- Bump release since a -3 sprm was published in the review bug

* Tue Aug 28 2012 Bruno Wolff III <bruno@wolff.to> 1.0.0-3
- Do another build without the macro in changelog problem

* Tue Aug 28 2012 Bruno Wolff III <bruno@wolff.to> 1.0.0-2
- Require systemd for modules-load.d directory.
- Use empty %%build since %%build can do stuff on its own.
- Remove deprecated buildroot clean.

* Mon Jul 23 2012 Bruno Wolff III <bruno@wolff.to> 1.0.0-1
- Initial package creation
